import { jsx as n, jsxs as v } from "react/jsx-runtime";
import { useId as x } from "react";
import b from "clsx";
/*!
  @versini/ui-card v1.1.1
  © 2024 gizmette.com
*/
try {
  window.__VERSINI_UI_CARD__ || (window.__VERSINI_UI_CARD__ = {
    version: "1.1.1",
    buildTime: "12/18/2024 01:22 PM EST",
    homepage: "https://github.com/aversini/ui-components",
    license: "MIT"
  });
} catch {
}
const u = "av-card";
function I(r) {
  const e = x();
  return `${r}${e}`;
}
const $ = (r) => {
  let e = "";
  if (typeof r == "number" || typeof r == "string")
    e = "m-" + r;
  else {
    const d = [];
    (r == null ? void 0 : r.t) !== void 0 && d.push(`mt-${r.t}`), (r == null ? void 0 : r.r) !== void 0 && d.push(`mr-${r.r}`), (r == null ? void 0 : r.b) !== void 0 && d.push(`mb-${r.b}`), (r == null ? void 0 : r.l) !== void 0 && d.push(`ml-${r.l}`), e = d.join(" ");
  }
  return e;
}, A = ({
  className: r,
  headerClassName: e,
  bodyClassName: d,
  footerClassName: t,
  spacing: p,
  mode: o,
  compact: l,
  noBorder: i
}) => {
  const f = b(
    u,
    r,
    "rounded-md",
    $(p),
    {
      "border-none": i,
      "border-2": !i,
      "p-4": !l,
      "p-1 sm:p-2": l,
      "border-border-accent bg-surface-darker text-copy-light": o === "darker",
      "border-border-accent bg-surface-dark text-copy-light": o === "dark",
      "border-border-dark bg-surface-lighter text-copy-dark": o === "light",
      "border-border-dark bg-surface-lighter text-copy-dark dark:border-border-accent dark:bg-surface-dark dark:text-copy-light": o === "system",
      "border-border-accent bg-surface-dark text-copy-light dark:border-border-dark dark:bg-surface-lighter dark:text-copy-dark": o === "alt-system"
    }
  ), h = e || b(`${u}__header mt-0 border-b-2`, {
    "text-copy-light border-border-accent": o === "darker",
    "border-border-accent": o === "dark",
    "border-border-medium": o === "light",
    "border-border-medium dark:border-border-accent": o === "system",
    "border-border-accent dark:border-border-medium": o === "alt-system",
    "mb-4": !l,
    "mb-2": l
  }), g = b(d), k = t || b(`${u}__footer pt-2`);
  return {
    wrapper: f,
    header: h,
    body: g,
    footer: k
  };
};
function C({
  id: r,
  content: e,
  userAriaLabelledby: d,
  className: t
}) {
  return typeof e == "string" ? /* @__PURE__ */ n("h2", { id: r, className: t, children: e }) : d ? /* @__PURE__ */ n("div", { className: t, children: e }) : e ? /* @__PURE__ */ n("div", { className: t, id: r, children: e }) : null;
}
const E = ({
  header: r,
  headerClassName: e,
  footer: d,
  footerClassName: t,
  children: p,
  className: o,
  bodyClassName: l,
  "aria-labelledby": i,
  spacing: f,
  mode: h = "system",
  compact: g = !1,
  noBorder: k = !1,
  ..._
}) => {
  let s = null, c = null;
  const m = typeof r == "string", y = I(u), a = A({
    className: o,
    headerClassName: e,
    bodyClassName: l,
    footerClassName: t,
    spacing: f,
    mode: h,
    compact: g,
    noBorder: k
  });
  return m ? (s = y, c = s) : !m && r && i ? (s = null, c = i) : !m && r && !i ? (s = y, c = s) : (s = null, c = i || null), /* @__PURE__ */ n("div", { className: a.wrapper, children: /* @__PURE__ */ v(
    "section",
    {
      ...c && {
        "aria-labelledby": c
      },
      className: a.body,
      ..._,
      children: [
        /* @__PURE__ */ n(
          C,
          {
            ...s && { id: s },
            content: r,
            className: a.header,
            userAriaLabelledby: i
          }
        ),
        /* @__PURE__ */ n("div", { children: p }),
        d ? /* @__PURE__ */ n("div", { className: a.footer, children: d }) : null
      ]
    }
  ) });
};
export {
  u as CARD_CLASSNAME,
  E as Card
};
